DEPRECATION

Vector Basemap Deprecation Notice Affecting ArcGIS Runtime SDKs 100.5 and Earlier

Last Published: April 22, 2022

Description

Beginning September 1, 2022, vector basemaps will no longer work correctly in applications using ArcGIS Runtime SDKs 100.5 and earlier. The application itself will continue to work, but the basemaps will not display correctly. You will see gaps, some of them large, in the basemap.

Recommendation

Developers are strongly encouraged to move their applications to a newer version of the ArcGIS Runtime SDKs before September 1, 2022. If that is not possible, an alternative is to use raster basemaps, which will require some code changes. Note that most raster basemaps are in mature support and are no longer updated.

Article ID:000027565

Software:
  • ArcGIS Runtime SDK for NET
  • ArcGIS Runtime SDK for Android
  • ArcGIS Runtime SDK for Qt
  • ArcGIS Runtime SDK for Java
  • ArcGIS Runtime SDK for iOS

Get help from ArcGIS experts

Contact technical support

Download the Esri Support App

Go to download options

Related Information

Discover more on this topic